__gnu_pbds::insert_error Struct Reference
Extensions » Policy-Based Data Structures » Exceptions

`#include <exception.hpp>`

Inheritance diagram for __gnu_pbds::insert_error:
[legend]

## Public Member Functions

virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

An entry cannot be inserted into a container object for logical reasons (not, e.g., if memory is unabvailable, in which case the allocator_type's exception will be thrown).

Definition at line 66 of file exception.hpp.

## Member Function Documentation

## what()

virtual const char * std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this struct was generated from the following file:

- exception.hpp